Name:           athena-gnome-config
Version:        1.0
Release:        4%{?dist}
Summary:        GNOME configuration for Athena

License:        LicenseRef-custom
URL:            https://gitlab.com/athenaos/packages/desktop/athena-gnome-config
Source0:        dconf-custom-keybindings.ini
Source1:        dconf-desktop.ini
Source2:        dconf-mutter.ini
Source3:        dconf-shell.ini

BuildArch:      noarch

Requires:       athena-gnome-base
Requires:       gnome-shell-extension-appindicator
Requires:       gnome-shell-extension-arc-menu
Requires:       gnome-shell-extension-desktop-icons-ng
Requires:       gnome-shell-extension-ubuntu-dock
Requires:       gnome-shell-extension-vitals

%description
GNOME desktop configuration files and extensions used in Athena OS. Includes
preset configurations and shell extensions for optimized user experience.

%prep
# Nothing to unpack

%build
# No build needed

%install
install -dm 755 %{buildroot}/etc
install -dm 750 %{buildroot}/etc/sudoers.d
install -dm 755 %{buildroot}/usr/share/athena-gnome-config

install -Dm 644 %{SOURCE0} %{buildroot}/usr/share/athena-gnome-config/dconf-custom-keybindings.ini
install -Dm 644 %{SOURCE1} %{buildroot}/usr/share/athena-gnome-config/dconf-desktop.ini
install -Dm 644 %{SOURCE2} %{buildroot}/usr/share/athena-gnome-config/dconf-mutter.ini
install -Dm 644 %{SOURCE3} %{buildroot}/usr/share/athena-gnome-config/dconf-shell.ini
 
%files
%{_datadir}/athena-gnome-config/dconf-custom-keybindings.ini
%{_datadir}/athena-gnome-config/dconf-desktop.ini
%{_datadir}/athena-gnome-config/dconf-mutter.ini
%{_datadir}/athena-gnome-config/dconf-shell.ini

%changelog
* Sat Apr 20 2025 Little Owl <littleowl@athenaos.org>
- Initial RPM conversion of GNOME configuration for Athena
